/*
 * Class NATIVE_ARRAY [INTEGER_16]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1961 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1961 [] = {0xFF01,1551,1960,878,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1961 [] = {0xFF01,1960,878,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1961 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1961 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1961 [] = {0xFF01,1960,878,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1961 [] = {0xFF01,1960,878,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1961 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1961 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1961 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1961 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1961 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1961 [] = {1960,878,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1961 [] = {0xFF01,1960,878,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1961 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_1961[] = {
	{EIF_GENERIC(NULL), 1368, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1961), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1961), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1961), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1961), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1961), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1961), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1961), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1961), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1961), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1961), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1961), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1961), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1961), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1961), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1961), -1, 0xFFFFFFFF},
};
void Init1961(void)
{
	IDSC(desc_1961, 0, 1960);
	IDSC(desc_1961 + 1, 1, 1960);
	IDSC(desc_1961 + 32, 674, 1960);
}


#ifdef __cplusplus
}
#endif
